
include windows.inc
include user32.inc
include kernel32.inc
include gdi32.inc
include shell32.inc
include comctl32.inc
include comdlg32.inc
include advapi32.inc

includelib user32.lib
includelib kernel32.lib
includelib gdi32.lib
includelib shell32.lib
includelib comctl32.lib
includelib comdlg32.lib
includelib advapi32.lib

include masm32.inc
includelib masm32.lib


m2m MACRO M1, M2
	push	M2
	pop		M1
endm


.Data

include				Messages.inc
ClassName			db 'WINDOWHACK',0
AppName				db 'Window Hack',0
User32Dll			db 'USER32.DLL',0
SetTransProcAddr	db 'SetLayeredWindowAttributes',0
GetTransProcAddr	db 'GetLayeredWindowAttributes',0
ChildMsgErr			db 'Cannot work with Child Window!.',0		
Error				db 'Error',0
General				db 'General',0
Styles				db 'Styles',0
Windows				db 'Windows',0
Class				db 'Class',0
Process				db 'Process',0
Thread				db 'Thread',0
None				db '(None)',0
WindowsPprt			db 'Windows Properties',0
LoadPlugin			db 'LoadPlugin',0
ExecutePlugin		db 'ExecutePlugin',0
PluginsDirNm		db 'Plugins',0
DllFileNm			db '\*.dll',0
PluginsFileFmt		db '%.255s\%.255s',0
DecShortFmt			db '%.1lu',0
HexFmt				db '%.8lX',0
HexShortFmt			db '%.1lX',0
WindowsFmt			db '%.8lX "%.255s" %.255s',0
WindowRectFmt		db '(%.li, %.li)-(%.li, %.li), %.lix%.li',0
WndLongBytesFmt		db '+%.1lu    %.8lX',0
WndWordBytesFmt		db '+%.1lu    %.4lX',0
WinErrFmt			db 'Invalid Window (%.8lX)',0
PersenFmt			db '%.lu ','%%',0
szOpen				db 'Open',0
REGSZ				db 'REG_SZ',0
OwnerValName		db 'RegisteredOwner',0
OwnerKey			db 'Software\Microsoft\Windows\CurrentVersion',0
OwnerKeyNT			db 'Software\Microsoft\Windows NT\CurrentVersion',0
TextFilesFilter		db 'Text Files (*.txt)',0,'*.txt',0
                    db 'All Files (*.*)',0,'*.*',0,0
cbNormal			db 'Normal',0
cbFocusRect			db 'Focus Rectangle',0
cbFocusBlock		db 'Focus Block',0
szSettings			db 'Settings',0
szSettingsKey		db 'Software\Window Hack',0


; Window Hack Tooltip text
TbrTooltip1			db 'Find Window Under Cursor',0
TbrTooltip2			db 'Show Available Windows',0
TbrTooltip3			db 'Show All Child Windows From Parent',0
TbrTooltip4			db 'Get Parent Window',0
TbrTooltip5			db 'Get First Child Window',0
TbrTooltip6			db 'Get Previous Window',0
TbrTooltip7			db 'Get Next Window',0
TbrTooltip8			db 'Action',0
TbrTooltip9			db 'Window Properties',0
TbrTooltip10		db 'Plugins',0
TbrTooltip11		db 'Help',0
TbrTooltip12		db 'Exit',0
TbrTooltipArr		dd TbrTooltip1, TbrTooltip2, TbrTooltip3, TbrTooltip4,\
                       TbrTooltip5, TbrTooltip6, TbrTooltip7, TbrTooltip8,\
                       TbrTooltip9, TbrTooltip10, TbrTooltip11, TbrTooltip12, 0

; User Settings
SettingStart			dd 0
WindowFocus				dd 1
SettingsLen				dd SettingsLen-SettingStart


.Data?

hInstance			dd ?
CommandLine			dd ?
hWndMain			dd ?
hMenuMain			dd ?
hActionMenu			dd ?
hPluginsMenu		dd ?
hWindowsMenu		dd ?
hToolbar			dd ?
hRebar				dd ?
hHandCursor			dd ?
hWndWindow			dd ?
hWndWindowSave		dd ?
hWndDialog			dd ?
hWndDesktop			dd ?
hWndDesktopDC		dd ?
hWndFakeWindow		dd ?
hDCBmpScreen		dd ?
ScreenHeight		dd ?
ScreenWidth			dd ?
hScreenBmp			dd ?
WindowMarkTimerID	dd ?
rWidth				dd ?
rHeight				dd ?
hWndResult			dd ?
CurrentItem			dd ?
hShellTrayWnd		dd ?
LastActionCmd		dd ?
NTPlatformId		dd ?
hAboutEmail			dd ?
TextBuff			db 512 dup (?)
WindowName			db 256 dup (?)
ClassNm				db 256 dup (?)
PluginsDir			db 256 dup (?)
PluginsDirSrch		db 256 dup (?)
FileNameBuff		db 256 dup (?)
icex				INITCOMMONCONTROLSEX <>
psh					PROPSHEETHEADERA <>
psp1				PROPSHEETPAGE <>
psp2				PROPSHEETPAGE <>
psp3				PROPSHEETPAGE <>
psp4				PROPSHEETPAGE <>
psp5				PROPSHEETPAGE <>



.Const

WM_STOPGETWNDHANDLE		equ WM_USER+1234
ID_WINDOWMARKTIMER		equ 1234
ID_PLUGINS				equ 800

IDT_GETWNDUNDERCUR		equ 900
IDT_GETWNDFRLIST		equ 901
IDT_GETCHILDWNDFRLIST	equ 902
IDT_PARENTWINDOW		equ 903
IDT_CHILDWINDOW			equ 904
IDT_PREVIOUSWINDOW		equ 905
IDT_NEXTWINDOW			equ 906
IDT_ACTION				equ 907
IDT_WNDPROPERTIES		equ 908
IDT_PLUGINS				equ 909
IDT_ABOUT				equ 910
IDT_EXIT				equ 911

tbrbtns             TBBUTTON <0,IDT_GETWNDUNDERCUR,TBSTATE_ENABLED,TBSTYLE_BUTTON,0,0>
                    TBBUTTON <1,IDT_GETWNDFRLIST,TBSTATE_ENABLED,TBSTYLE_BUTTON,0,0>
                    TBBUTTON <2,IDT_GETCHILDWNDFRLIST,TBSTATE_ENABLED,TBSTYLE_BUTTON,0,0>
                    TBBUTTON <0,0,TBSTATE_ENABLED,TBSTYLE_SEP,0,0>
                    TBBUTTON <3,IDT_PARENTWINDOW,TBSTATE_ENABLED,TBSTYLE_BUTTON,0,0>
                    TBBUTTON <4,IDT_CHILDWINDOW,TBSTATE_ENABLED,TBSTYLE_BUTTON,0,0>
                    TBBUTTON <5,IDT_PREVIOUSWINDOW,TBSTATE_ENABLED,TBSTYLE_BUTTON,0,0>
                    TBBUTTON <6,IDT_NEXTWINDOW,TBSTATE_ENABLED,TBSTYLE_BUTTON,0,0>                    
                    TBBUTTON <0,0,TBSTATE_ENABLED,TBSTYLE_SEP,0,0>
                    TBBUTTON <7,IDT_ACTION,TBSTATE_ENABLED,TBSTYLE_DROPDOWN,0,0>
                    TBBUTTON <0,0,TBSTATE_ENABLED,TBSTYLE_SEP,0,0>
                    TBBUTTON <8,IDT_WNDPROPERTIES,TBSTATE_ENABLED,TBSTYLE_BUTTON,0,0>
                    TBBUTTON <0,0,TBSTATE_ENABLED,TBSTYLE_SEP,0,0>
                    TBBUTTON <9,IDT_PLUGINS,TBSTATE_ENABLED,TBSTYLE_DROPDOWN,0,0>
                    TBBUTTON <0,0,TBSTATE_ENABLED,TBSTYLE_SEP,0,0>
                    TBBUTTON <10,IDT_ABOUT,TBSTATE_ENABLED,TBSTYLE_BUTTON,0,0>
                    TBBUTTON <11,IDT_EXIT,TBSTATE_ENABLED,TBSTYLE_BUTTON,0,0>
ntbrbtns			equ 17


