

FillWindowStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset WndStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (ebx>=eax) && (ebx & eax) || (eax == 0)
			sub		ebx, eax
			invoke	GetStyleName, addr WndStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillWindowStyleName endp


FillDialogStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset DlgStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr DlgStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillDialogStyleName endp


FillExWindowStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset ExWndStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (ebx>=eax) && (ebx & eax) || (eax == 0)
			sub		ebx, eax
			invoke	GetStyleName, addr ExWndStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillExWindowStyleName endp


FillButtonStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	LOCAL	StyleRound		:DWORD
	LOCAL	lpWndName		:DWORD
	
	mov		StyleRound, 0
	mov		ebx, hWndStyles
	m2m		lpWndName, offset BtnStyleA1
	mov		esi, offset BtnStyleAValAddr
	.while StyleRound<=1
		xor		edi, edi
		mov		eax, dword ptr [esi]
		.while eax!=-1
			.if (bx>=ax) && (bx & ax) || ax==0
				sub		ebx, eax
				invoke	GetStyleName, lpWndName, edi
				invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
			.endif
			inc		edi
			add		esi, 4
			mov		eax, dword ptr [esi]
		.endw
		inc		StyleRound
		m2m		lpWndName, offset BtnStyleB1
		mov		esi, offset BtnStyleBValAddr
	.endw

	mov		StyleRound, 0
	mov		ebx, hWndStyles
	m2m		lpWndName, offset BtnStyleC1
	mov		esi, offset BtnStyleCValAddr
	.while StyleRound<=1
		xor		edi, edi
		mov		eax, dword ptr [esi]
		.while eax!=-1
			.if (bl>=al) && (bl & al) || al==0
				sub		ebx, eax
				invoke	GetStyleName, lpWndName, edi
				invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
				.break
			.endif
			inc		edi
			add		esi, 4
			mov		eax, dword ptr [esi]
		.endw
		inc		StyleRound
		m2m		lpWndName, offset BtnStyleD1
		mov		esi, offset BtnStyleDValAddr
	.endw
	ret

FillButtonStyleName endp


FillStaticStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	LOCAL	StyleRound		:DWORD
	LOCAL	lpWndName		:DWORD
	
	mov		StyleRound, 0
	mov		ebx, hWndStyles
	m2m		lpWndName, offset StcStyleA1
	mov		esi, offset StcStyleAValAddr
	.while StyleRound<=1
		xor		edi, edi
		mov		eax, dword ptr [esi]
		.while eax!=-1
			.if (bx>=ax) && (bx & ax) || ax==0
				sub		ebx, eax
				invoke	GetStyleName, lpWndName, edi
				invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
			.endif
			inc		edi
			add		esi, 4
			mov		eax, dword ptr [esi]
		.endw
		inc		StyleRound
		m2m		lpWndName, offset StcStyleB1
		mov		esi, offset StcStyleBValAddr
	.endw

	mov		StyleRound, 0
	mov		ebx, hWndStyles
	m2m		lpWndName, offset StcStyleC1
	mov		esi, offset StcStyleCValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bl>=al) && (bl & al) || al==0
			sub		ebx, eax
			invoke	GetStyleName, lpWndName, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
			.break
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillStaticStyleName endp


FillListBoxStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset LBStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr LBStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillListBoxStyleName endp


FillComboBoxStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset CBStyleAValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr CBStyleA1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	
	mov		esi, offset CBStyleBValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bl>=al) && (bl & al) 
			sub		ebx, eax
			invoke	GetStyleName, addr CBStyleB1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
			.break
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillComboBoxStyleName endp


FillEditStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset EditStyleAValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr EditStyleA1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	
	mov		esi, offset EditStyleBValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bl>=al) && (bl & al) 
			sub		ebx, eax
			invoke	GetStyleName, addr EditStyleB1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
			.break
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillEditStyleName endp


FillListViewStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset LVStyleAValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax) || (ax==0)
			sub		ebx, eax
			invoke	GetStyleName, addr LVStyleA1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	
	mov		esi, offset LVStyleBValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bl>=al) && (bl & al) 
			sub		ebx, eax
			invoke	GetStyleName, addr LVStyleB1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
			.break
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillListViewStyleName endp


FillTreeViewStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset TVStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr TVStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillTreeViewStyleName endp


FillTabStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset TabStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax) || (ax==0)
			sub		ebx, eax
			invoke	GetStyleName, addr TabStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillTabStyleName endp


FillAniStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset AniStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr AniStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillAniStyleName endp


FillDtpStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset DtpStyleAValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr DtpStyleA1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	
	mov		esi, offset DtpStyleBValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bl>=al) && (bl & al) || (al == 0)
			sub		ebx, eax
			invoke	GetStyleName, addr DtpStyleB1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
			.break
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillDtpStyleName endp


FillPagerStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset PgrStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax) || (al == 0)
			sub		ebx, eax
			invoke	GetStyleName, addr PgrStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillPagerStyleName endp


FillTrackBarStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset TrbStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax) || (ax == 0)
			sub		ebx, eax
			invoke	GetStyleName, addr TrbStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillTrackBarStyleName endp


FillUpDownStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset UDStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax) || (ax == 0)
			sub		ebx, eax
			invoke	GetStyleName, addr UDStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillUpDownStyleName endp


FillRebarStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset RbrStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr RbrStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillRebarStyleName endp


FillToolbarStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset TBStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr TBStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillToolbarStyleName endp


FillHeaderStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset HDRStyleValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr HDRStyle1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillHeaderStyleName endp


FillStatusBarStyleName proc uses ebx esi edi hWnd:HWND, IdCtrl:DWORD, hWndStyles:DWORD
	
	mov		ebx, hWndStyles
	mov		esi, offset SBStyleAValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bx>=ax) && (bx & ax)
			sub		ebx, eax
			invoke	GetStyleName, addr SBStyleA1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	
	mov		esi, offset SBStyleBValAddr
	xor		edi, edi
	mov		eax, dword ptr [esi]
	.while eax!=-1
		.if (bl>=al) && (bl & al)
			sub		ebx, eax
			invoke	GetStyleName, addr SBStyleB1, edi
			invoke	SendDlgItemMessage, hWnd, IdCtrl, LB_ADDSTRING, 0, eax
			.break
		.endif
		inc		edi
		add		esi, 4
		mov		eax, dword ptr [esi]
	.endw
	ret

FillStatusBarStyleName endp
